--- !ruby/object:RI::MethodDescription 
aliases: []

block_params: 
comment: 
- !ruby/struct:SM::Flow::P 
  body: Append a model as a descendant
- !ruby/struct:SM::Flow::P 
  body: "@param [Model] model"
- !ruby/struct:SM::Flow::VERB 
  body: "  the descendant model\n"
- !ruby/struct:SM::Flow::P 
  body: "@return [DescendantSet]"
- !ruby/struct:SM::Flow::VERB 
  body: "  self\n"
- !ruby/struct:SM::Flow::P 
  body: "@api private"
full_name: DataMapper::Model::DescendantSet#<<
is_singleton: false
name: "<<"
params: (model)
visibility: public
